Clustering (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Interface Clustering

- All Superinterfaces:
    Clusterable, ClusteringPrefix, IMeasurableMemory
  All Known Implementing Classes:
    BufferClustering, NativeClustering

      public interface Clustering
      extends ClusteringPrefix

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Clustering.Serializer` Serializer for Clustering object.

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.ClusteringPrefix

      `ClusteringPrefix.Deserializer, ClusteringPrefix.Kind`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Clustering` | `EMPTY` Empty clustering for tables having no clustering columns.
    `static Clustering.Serializer` | `serializer`
    `static Clustering` | `STATIC_CLUSTERING` The special cased clustering used by all static rows.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Clustering` | `copy(AbstractAllocator allocator)`
    `static Clustering` | `make(java.nio.ByteBuffer... values)`
    `default java.lang.String` | `toCQLString(CFMetaData metadata)`
    `default java.lang.String` | `toString(CFMetaData metadata)` Generates a proper string representation of the prefix.
    `long` | `unsharedHeapSizeExcludingData()`

    - ### Methods inherited from interface org.apache.cassandra.db.ClusteringPrefix

      `dataSize, digest, get, getRawValues, kind, size`

    - ### Methods inherited from interface org.apache.cassandra.cache.IMeasurableMemory

      `unsharedHeapSize`

    - ### Methods inherited from interface org.apache.cassandra.db.Clusterable

      `clustering`

- - ### Field Detail

    - #### serializer

          static final Clustering.Serializer serializer

    - #### STATIC_CLUSTERING

          static final Clustering STATIC_CLUSTERING

      The special cased clustering used by all static rows. It is a special case in the sense that it's always empty, no matter how many clustering columns the table has.

    - #### EMPTY

          static final Clustering EMPTY

      Empty clustering for tables having no clustering columns.

  - ### Method Detail

    - #### unsharedHeapSizeExcludingData

          long unsharedHeapSizeExcludingData()

    - #### copy

          default Clustering copy(AbstractAllocator allocator)

    - #### toString

          default java.lang.String toString(CFMetaData metadata)

      Description copied from interface: `ClusteringPrefix`
      Generates a proper string representation of the prefix.
      Specified by:
        `toString` in interface `ClusteringPrefix`
      Parameters:
        `metadata` - the metadata for the table the clustering prefix is of.
      Returns:
        a human-readable string representation fo this prefix.

    - #### toCQLString

          default java.lang.String toCQLString(CFMetaData metadata)

    - #### make

          static Clustering make(java.nio.ByteBuffer... values)

Copyright © 2018 The Apache Software Foundation